
.header{
    height: 96px;
}

.header-title{
    margin:16px 0;
    width: 100%;
    text-align: center;
    font-weight: 300;
}

.header-title.hidden,
.container.hidden{
  visibility: hidden;
  height: 0;
  margin: 0;
  margin-top: 0 !important;
}

.topnav a{
  color: black;
  min-width: 110px;
}

.list-item-xl{
  font-size: 1.5rem;
font-weight: 300;

}

.list-item-md{
  font-size: 1.2rem;

}

.header-logo{
  position: fixed;
  top: 8px;
  left: 8px;
  height: 80px;
  cursor: pointer;
}

.logo-ltv{
  font-family: 'Bai Jamjuree', sans-serif;
  font-size: 5rem;
  font-weight: 700;
  line-height: 3.5rem;
  color: var(--color-blue);

}


.logo-text{
  font-family: 'Bai Jamjuree', sans-serif;
  font-size: 1.2rem;
  color: var(--color-supplimental-dark);
  font-weight: 300;
}



.modal-content{
  width: 60%;
  justify-content: center;
  align-items: center;
}

.modal-text{
  font-size: 1.5rem;
  font-weight: 300;
  
}

.address-text{
  cursor: pointer;
  color: var(--color-supplimental-dark);
  font-weight: 500;
}

.return-thank{
  margin-top: 32px;
  font-size: 2.0rem;
  font-weight: 500;
  color: var(--color-blue);
  width: 100%;
  text-align: center;
}

#contact-text,
#cancel-text{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.text-area{
  margin-top: 16px;
  padding: 8px;
  font-size: 1rem;
  width: 80%;

}




.avatar{
    width: 64px;
    position: fixed;
    top: 16px;
    right: 16px;
    border: 1px solid #00000020;
    border-radius: 32px;
    cursor: pointer;
}



  .content{
    min-height: 100vh;

  }
  
  
  .container{
    
    max-width: 800px;
    display: flex;
    flex-direction: column;
    margin: 32px auto;
    justify-content: flex-start;
    align-items: flex-start;
    }
  
  #container-completed{
    
    max-width: 800px;
    display: flex;
    flex-direction: row;
    margin: 32px auto;
    justify-content: center;
    align-items: flex-start;
    gap: 32px;
    }

    #header-notrip{
      margin-top: 20%;
    }

    #container-notrip{
      align-items: center;

    }

    .trip-card{
        background-color: #ffffff;
        /* height: 300px; */
        width: 100%;
        border: 1px solid #00000020;
        border-radius: 16px;
        display: flex;
        flex-direction: row;
        margin-bottom: 64px;
      box-shadow: 0 0 10px -3px rgba(0, 0, 0, .4);
      gap: 0;

    }

    .list-item-bld{
      font-size: 2.0rem !important;
    }

    .trip-details{

        display: flex;
        flex-direction: column;
        justify-content: space-between;
        width: 50%;
        max-width: 50%;
        padding: 16px;
    }

    .trip-img{
        max-width: 50%;
        /* background-color: var(--color-background); */
        object-fit:cover;
        border-top-right-radius: 16px;
        border-bottom-right-radius: 16px;
        padding: 5px;

    }
    .change-button,
    .return-button,
    .cancel-button,
    #modal-insurance-button{
        width: 100%;
        margin:0;
        height: 56px;
        background-color: var(--color-whitish);
        font-weight: 300 !important;
        
      }
    

      .return-button{
        height: 64px;
      }

      #return-detail{
        margin: 0;
      }

      .button{
      box-shadow: 0 0 10px -3px rgba(0, 0, 0, .4);

      }
    
    /* .button-lt{
      background-color: transparent;
      color: var(--color-supplimental-dark) !important;
    }
    .button-lt:hover{
      background-color: var(--color-supplimental-text);
      color: var(--color-supplimental-dark) !important
      ;
    } */

    .error{
      color: var(--color-red);
    }

    .cancel-button:hover,
    #send-cancel:hover {
      background-color: var(--color-red-hover) !important;
      color:white !important;

    }


    #send-cancel{
      width: 100%;
      margin:0;
      height: 56px;
      color:white !important;
    background-color: var(--color-red) !important;
      font-weight: 300 !important;
      
    }

    #send-cancel{
      width: auto;
      margin-top: 10px;
    }
 
    .completed-card{
      /* height: 450px; */
      padding-bottom: 16px;
        background-color: #ffffff;
        width: 300px;
        border: 1px solid #00000020;
        border-radius: 16px;
        display: flex;
        flex-direction: column;
        margin-bottom: 64px;
        box-shadow: 0 0 10px -3px rgba(0, 0, 0, .4);
      justify-content: space-between;

    }

    .card-buttons{
      width:100%;
    }
    
    .completed-details{
        text-align: center;
        display: flex;
        flex-direction: column;
        
        max-width: 100%;
        padding: 8px;
    }

    #address-holder{
      display: flex;
      flex-direction: column;
      align-items: flex-start;
      
    }

    #return-button{
      width: 300px;
      height: 64px;
      margin: 32px 0;
      background-color: transparent;
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: left;
      gap:16px;

    }

    #return-text{
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      text-align: center;
    }

    .completed-img{
        max-height: 200px;
        width:auto;
        object-fit:cover;
        border-top-left-radius: 16px;
        border-top-right-radius: 16px;
        padding: 5px;

    }
    
    .review-button,
    #modal-insurance-button{
        display: flex;
        flex-direction: column;
        gap: 0;
        justify-content:center;
        align-items: center;
        margin: 0;
        width: 100%;
        height: 80px;
      }

    #insurance-msg{
      margin: 32px 0;
      text-align: center;
      font-size: 1.2rem;
    }

    #insurance-text{
      padding: 32px 5%;
    }
 
    .again-button{
        margin: 0;
        width: 100%;
        height: 80px;
    
      }

      .again-button:hover{
        background-color: var(--color-green-hover);
        color: white;
      }
 
      .stars{
          color: var(--color-header);
          height: 32px;
      }

      .button-holder{
         position: relative;
         bottom: 0;
          padding: 24px 16px 0;
          justify-self: flex-end;
          display: flex;
          flex-direction: column;
          justify-content: center;
          align-content: flex-end;
          gap: 8px;
      }


    

      .modal-close {
        padding:8px 16px;

      }

      #modal-requested{
        display: block;
        height: 0; /* 100% Full-height */
        width: 50%; /* 0 width - change this with JavaScript */
        border: 1px;
        position: fixed; /* Stay in place */
        position: fixed; /* Stay in place */
        z-index: 1; /* Stay on top */
        bottom: 0; /* Stay at the top */
        right: 0;
        background-color: var(--color-whitish);
        overflow-x: hidden; /* Disable horizontal scroll */
        padding-top: 8px; /* Place content 60px from the top */
        transition: 0.3s; /* 0.5 second transition effect to slide in the sidenav */
        z-index: 1003;
      }


      .review-star{
        font-size: 4rem;
        cursor: pointer;
        opacity: 0.05;
      }

      #review-error{
        padding: 0 10%;
        color: var(--color-red);
        text-align: center;
      }

      

      #info-holder{
        width: 80vw;
        margin-left: 10vw;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        padding-bottom: 64px;
      }

      .input-field{
        margin-bottom: 24px;
      }

      input{
        height: 48px;
      }

      #update-error-message{
        padding: 0 16px;
        width: 100%;
        text-align: center;
      }
  /***********************RESPONSIVE BELOW************************************************************/

  

/* MOBILE: */
@media only screen and (max-width: 992px) {

    .header-logo{
      visibility: hidden;
    }

    .container{
    
        max-width: 90%;
        display: flex;
        flex-direction: column;
        margin: 32px auto;
        justify-content: flex-start;
        align-items: flex-start;
        }
      
      #container-completed{
        
        max-width: 90%;
        flex-direction: column;
        margin: 32px auto;
        justify-content: center;
        align-items: center;
        gap: 32px;
        }

        .trip-card{
            height: auto;
            display: flex;
            flex-direction: column;
            margin-bottom: 64px;
          box-shadow: 0 0 10px -3px rgba(0, 0, 0, .4);
    
        }

        .trip-img{
            max-width: 100%;
            border-bottom-right-radius: 0;
            border-top-left-radius: 16px;
            order: 0;
        }

        .trip-details{
            padding: 16px 0;
            width: 100%;
            max-width: 100%;
            order: 1;
            justify-content: center;
            align-items: center;
            text-align: center;
        }

        .button-holder{
          margin-top: 32px ;
          min-width: 80%;
        }
        .modal{
          padding:0;
        }
        .modal-content,
        .modal-body{
        
          display: flex;
          flex-direction: column;
          min-height: 100vh;
          width: 100vw;
          justify-content: center;
          align-items: center;
        }
      
        .modal-close{
          position: fixed;
          right: 0;
          top: 0;

        }

        #contact-text,
        #cancel-text{
          width: 100%;
          padding: 0 16px;
        }

        #return-button{
          width: 100%;
        height: 128px;

        }


  

      
      }